Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.plugins
Class DefaultPluginCollection

    java.lang.Object
      org.gradle.api.internal.AbstractDomainObjectCollection
          org.gradle.api.internal.DefaultDomainObjectContainer
              org.gradle.api.internal.plugins.DefaultPluginCollection

All Implemented Interfaces:
  PluginCollection

    class DefaultPluginCollection
    extends DefaultDomainObjectContainer

Constructor Summary
`DefaultPluginCollection(java.lang.Class type)`
`DefaultPluginCollection(java.lang.Class type, Store store)`

Method Summary
`void` | `allPlugins(Action action)`
`void` | `allPlugins(Closure closure)`
`PluginCollection` | `matching(Spec spec)`
`Action` | `whenPluginAdded(Action action)`
`void` | `whenPluginAdded(Closure closure)`
`PluginCollection` | `withType(java.lang.Class type)`

Methods inherited from class DefaultDomainObjectContainer
addObject, addRule, addRule, createNotFoundException, findByName, getAsMap, getDisplayName, getRules, getType, matching, storeWithSpec, storeWithType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, withType

Methods inherited from class AbstractDomainObjectCollection
allObjects, allObjects, createNotFoundException, findAll, getAll, getAsDynamicObject, getAt, getByName, getByName, getDisplayName, iterator, methodMissing, propertyMissing

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultPluginCollection

    public DefaultPluginCollection(java.lang.Class type)

### DefaultPluginCollection

    public DefaultPluginCollection(java.lang.Class type, Store store)

Method Detail

### allPlugins

    public void allPlugins(Action action)

### allPlugins

    public void allPlugins(Closure closure)

### matching

    public PluginCollection matching(Spec spec)

### whenPluginAdded

    public Action whenPluginAdded(Action action)

### whenPluginAdded

    public void whenPluginAdded(Closure closure)

### withType

    public PluginCollection withType(java.lang.Class type)

Groovy Documentation